Batch Profiles in Date Range

The Batch Profiles in Date Range service allows you to pass in a given start date and optional end date and will return all batches with a post date in that date range. If the end date is not provided, only batches posted on the start date will be returned.

Service Name

batch_profiles_in_date_range

Required Parameters

NameType
date_startdatetime

Optional Parameters

NameType
date_enddatetime

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=batch_profiles_in_date_range&date_start=2010-05-19"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="batch_profiles_in_date_range" name="srv"/>
      <argument value="2010-05-19" name="date_start"/>
    </parameters>
  </request>
  <response>
    <service>batch_profiles_in_date_range</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <batches count="1">
      <batch id="3">
        <campus id="1">Church of Cucumbers</campus>
        <name>Weekly Offering</name>
        <post_date>2010-05-19</post_date>
        <begin_date>2010-05-19</begin_date>
        <end_date>0000-00-00</end_date>
        <in_accounting_package>false</in_accounting_package>
        <status>Open</status>
        <source>Manual Entry</source>
        <transactions>
          <transaction id="11" merchant_transaction_id="">
            <campus id="1">Church of Cucumbers</campus>
            <individual id="2">Mr. Larry</individual>
            <date>2010-05-19</date>
            <grouping id="1">None</grouping>
            <payment_type>Check</payment_type>
            <check_number>1234</check_number>
            <transaction_details>
              <transaction_detail id="12">
                <coa id="1">General Fund</coa>
                <amount>123.00</amount>
                <tax_deductible>true</tax_deductible>
                <note></note>
                <creator id="5">Full Financial</creator>
                <modifier id="5">Full Financial</modifier>
                <created>2010-05-19 15:12:12</created>
                <modified>2010-05-19 15:13:59</modified>
              </transaction_detail>
            </transaction_details>
            <creator id="5">Full Financial</creator>
            <modifier id="5">Full Financial</modifier>
            <created>2010-05-19 15:12:12</created>
            <modified>2010-05-19 15:13:59</modified>
            <merchant_name></merchant_name>
            <merchant_individual_id></merchant_individual_id>
          </transaction>
        </transactions>
        <creator id="5">Full Financial</creator>
        <modifier id="5">Full Financial</modifier>
        <created>2010-05-19 15:11:42</created>
        <modified>2010-05-19 15:12:00</modified>
      </batch>
    </batches>
  </response>
</ccb_api>